#include <avr/io.h>

//#define SPI_CS   PB4
//#define SPI_SCLK   PB7
//#define SPI_MISO   PB6
//#define SPI_MOSI   PB5


unsigned char SPI_WriteRead(unsigned char dataout)
{
  // Put Slave Data On SPDR
  SPDR=dataout;

  // Wait for transmission complete
  while(!(SPSR & (1<<SPIF)));

  // Return Serial In Value (MISO)
  return SPDR;
}

void SPI_init(void)
{


  // Initial the AVR ATMega32L SPI Slave Peripheral
  // Set MISO as output, others as input
  DDR_SPI = (1<<DD_MISO);

  // Enable SPI as Slave
  SPCR = (1<<SPE);
}